<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Oeffentlich\DoLogout;

class DoLogoutController extends \Kufer\Web\KuferTools\Basis\Controller\Controller
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new DoLogoutUseCase(
      $this->getRequestObj(),
      new \SecurityOperations()
    );
  }

  protected function getRequestObj()
  {
    return new DoLogoutRequest();
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new StartseiteVonDoLogoutPresenter($pUseCaseResponse);
  }
}